//+------------------------------------------------------------------+
//|   _TRO_TRENDMETER                                                |
//|                                                                  |
//|   Copyright  2008, Avery T. Horton, Jr. aka TheRumpledOne       |
//|                                                                  |
//|   PO BOX 43575, TUCSON, AZ 85733                                 |
//|                                                                  |
//|   GIFTS AND DONATIONS ACCEPTED                                   | 
//|                                                                  |
//|   therumpledone@gmail.com                                        |  
//+------------------------------------------------------------------+ 


#property  copyright "Copyright  2008, Avery T. Horton, Jr. aka TRO" 
#property  link      "http://www.therumpledone.com/" 



#property indicator_chart_window
//---- input parameters


int ChartPeriod ;

color HLColor, CLColor ;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
  
  ChartPeriod = Period();


    
    ObjectCreate("HLtoC",OBJ_TREND,0,0,0,0,0);
    ObjectSet("HLtoC",OBJPROP_COLOR,Yellow); 
    ObjectSet("HLtoC",OBJPROP_RAY,false);    
    ObjectSet("HLtoC",OBJPROP_WIDTH,2); 
         
    ObjectCreate("HtoL",OBJ_TREND,0,0,0,0,0);     
    ObjectSet("HtoL",OBJPROP_RAY,false);     
    ObjectSet("HtoL",OBJPROP_WIDTH,2);    
    
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {

      ObjectDelete("HLtoC");
      ObjectDelete("HtoL");
      
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
  
if( ChartPeriod >= PERIOD_D1 ) { Comment ("***error - must be less than PERIOD_D1" ) ; return (-1) ; } 
  
//---- TODO: add your code here
   double low,OP,CL,HI,LO;
   int rt1, i;
   
   double MD, PM, L1,xLow,H1,high,xHigh, cVal, eVal ;
   int D0,D1,st1, tt;


//---- Move Object in Chart


   
      int   yy = TimeYear(Time[0]);
      int   mm = TimeMonth(Time[0]);
      int   dd = TimeDay(Time[0]);
     datetime var1;
     
         string yymmddms = yy+"."+mm+"."+dd+" 00:00" ;
         
  var1=StrToTime(yymmddms);
  
    
  int      shift=iBarShift(NULL,0,var1,false);   
   
		
   int hh = Highest(NULL,0,MODE_HIGH,shift,0);
   int ll = Lowest(NULL,0,MODE_LOW,shift,0); 
      
   double xRES = iHigh(NULL,0,hh) ;  
   double xSUP = iLow(NULL,0,ll) ;      

//    CL = iClose(NULL,ChartPeriod ,0) ; 
    HI = iHigh(NULL,ChartPeriod ,0) ; 
    LO = iLow(NULL,ChartPeriod ,0) ; 
 
if( ll < hh ) { tt = ll ; cVal = xSUP ; eVal = LO ; HLColor = Red   ; } 
else          { tt = hh ; cVal = xRES ; eVal = HI ;HLColor = Lime ; }



ObjectMove("HtoL",0,Time[ll],xSUP); // ("HtoL",1,Time[st1],s1);
ObjectMove("HtoL",1,Time[hh],xRES); //  ("HtoL",0,Time[st2],s2)

ObjectSet("HtoL",OBJPROP_COLOR,HLColor);  
    
ObjectMove("HLtoC",0,Time[tt],cVal);
ObjectMove("HLtoC",1,Time[0],eVal);

         
return(0);
}

//+------------------------------------------------------------------+
 


/*

 
 
 high = -1 ;
 low = 999999999 ;
  
 
 D0 = TimeDay( Time[0] ) ; 
 
 CL = iClose(NULL,ChartPeriod ,0) ; 
   
 for( i=0; i<=1440; i++)
 {
 if( TimeDay( Time[i] ) != D0 ) { break ; }
 
 xHigh = iHigh(NULL,ChartPeriod,i) ;
 xLow = iLow(NULL,ChartPeriod,i) ;
 
 if ( xHigh > high ) { high  = xHigh ; rt1 = i ; }
 if ( xLow < low  ) { low   = xLow ; st1 = i ; }  
 
 } // for(i=0...
  
      

*/



